### Property

# Gtk Adjustment:upper

#### Declaration

    property upper: double [ read, write ]

#### Description [src]

The maximum value of the adjustment.

Note that values will be restricted by `upper - page-size` if the page-size property is nonzero.

Type: | `gdouble`

Default value | 0.000000
Getter method | `gtk_adjustment_get_upper()`
Setter method | `gtk_adjustment_set_upper()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no